Thread Rating:
  • 0 Vote(s) - 0 Average
vdr development speeding up recently - how to catch up
#1
Seems like vdr development is gaining momentum. New releases are coming in quickly and latest release is already at 2.3.7.

I am wondering if it is safe to update vdr with every new release or if there are dependencies that would require adaption in vnsiserver and -client prior to upgrade.

My system is running on vdr 2.3.6 with kodi 17.3 and latest vniserver/vnsiclient with no compalints so far. However I noticed an issue posted on github regarding faulty lock sequence with current vnsiserver plugin and vdr 2.3.6. Hence I am considering downgrade to vdr 2.3.5. to avoid the potential issue.

FernetMenta, from your point of view, what is the recommended vdr release to run and how save is it currently to uprade to vdr 2.3.7?
Reply
#2
I have not tried 2.3.6 and 2.3.7. This is on my list. 2.3.7 seems to be mostly fixes. One for false positive logs for wrong locking sequence introduced with 2.3.6. Maybe the isue reported on github goes away with 2.3.7
Reply
#3
Just updated to vdr 2.3.7 and seems it's running smoothly. However, reporting of invalid lock sequence in syslog is still present. According to vdr developer adaptions in plugin code are required. Not sure, how this will affect my setup in the meantime....
Reply
#4
I fixed the invalid locking sequence in vnsiserver. btw: this also affected earlier versions of vdr but with 2.3.6 it gets logged.
Reply
#5
Great, thanks. Updated the vnsiserver plugin and no more invalid lock sequence messages in syslog. Smile
Reply
#6
vdr stable release 2.4.0 is on the horizon

http://www.vdr-portal.de/board1-news/boa...375e4605f9
Reply



vdr development speeding up recently - how to catch up00